Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mapping
Class MappingData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.mapping.MappingData

All Implemented Interfaces:
  StepDataInterface

    public class MappingData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`List<MappingValueRename>` | `inputRenameList`
`MappingInput` | `mappingInput`
`MappingOutput` | `mappingOutput`
`Trans` | `mappingTrans`
`TransMeta` | `mappingTransMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`List<Integer>` | `renameFieldIndexes`
`List<String>` | `renameFieldNames`
`boolean` | `wasStarted`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`MappingData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### mappingTrans

    public Trans mappingTrans

### mappingInput

    public MappingInput mappingInput

### mappingOutput

    public MappingOutput mappingOutput

### renameFieldIndexes

    public List<Integer> renameFieldIndexes

### renameFieldNames

    public List<String> renameFieldNames

### wasStarted

    public boolean wasStarted

### mappingTransMeta

    public TransMeta mappingTransMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### inputRenameList

    public List<MappingValueRename> inputRenameList

Constructor Detail

### MappingData

    public MappingData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD